Package uk.ac.starlink.task

# Class ExecutionException

java.lang.Object
java.lang.Throwable
java.lang.Exception
uk.ac.starlink.task.TaskException
uk.ac.starlink.task.ExecutionException

All Implemented Interfaces:
  `Serializable`

public class ExecutionException extends TaskException
Exception generated when a task does not complete correctly for some known reason.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ExecutionException()`
`ExecutionException(String message)`
`ExecutionException(String message, int errorCode)`
`ExecutionException(String message, Throwable cause)`
`ExecutionException(Throwable cause)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getErrorCode()`
`void`
`setErrorCode(int code)`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ExecutionException

public ExecutionException()

### ExecutionException

public ExecutionException(String message)

### ExecutionException

public ExecutionException(String message, int errorCode)

### ExecutionException

public ExecutionException(String message, Throwable cause)

### ExecutionException

public ExecutionException(Throwable cause)

## Method Details

### setErrorCode

public void setErrorCode(int code)

### getErrorCode

public int getErrorCode()